Skip to main content
`Ctrl`+`K`

# DMPlexPointLocalFieldRef

return read/write access to a field on a point in local array

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPointLocalFieldRef(DM dm, PetscInt point, PetscInt field, PetscScalar *array, void *ptr)

Not Collective

## Input Parameters

- dm - `DM` defining topological space

- point - topological point

- field - field number

- array - array to index into

## Output Parameter

- ptr - address of reference to point data, type generic so user can place in structure

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMGetLocalSection()`, `PetscSectionGetOffset()`, `PetscSectionGetDof()`, `DMPlexGetPointLocal()`, `DMPlexPointGlobalRef()`

## Level

intermediate

## Location

src/dm/impls/plex/plexpoint.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages